<?php
 class elFinderVolumeTrash extends elFinderVolumeLocalFileSystem {
 protected $driverId = 't';
 public function __construct() {
 parent::__construct();
 $this->options['lockEverything'] = false;
 $this->options['alias'] = 'Trash';
 $this->options['quarantine'] = '';
 $this->options['rootCssClass'] = 'elfinder-navbar-root-trash';
 $this->options['copyOverwrite'] = false;
 $this->options['uiCmdMap'] = array('paste' => 'hidden', 'mkdir' => 'hidden', 'copy' => 'restore');
 $this->options['disabled'] = array('archive', 'duplicate', 'edit', 'extract', 'mkfile', 'places', 'put', 'rename', 'resize', 'upload');
 }
 public function mount(array $opts) {
 if ($this->options['lockEverything']) {
 if (!is_array($opts['attributes'])) {
 $opts['attributes'] = array();
 }
 $attr = array( 'pattern' => '/./', 'locked' => true, );
 array_unshift($opts['attributes'], $attr);
 }
 $opts['copyJoin'] = true;
 return parent::mount($opts);
 }
 }
 